---
apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: frontend-applications-ingress
  namespace: uavcloud-devoperation
  labels:
    type: frontend
    octopus.control: all-ingress-config-wdd
    app.kubernetes.io/managed-by: octopus-control
    app.kubernetes.io/version: 6.2.0
  annotations:
    kubernetes.io/ingress.class: "nginx"
    nginx.ingress.kubernetes.io/enable-cors: "true"
    nginx.ingress.kubernetes.io/rewrite-target: /$1
    nginx.ingress.kubernetes.io/configuration-snippet: |
      rewrite ^(/supervision)$ $1/ redirect;
      rewrite ^(/supervisionh5)$ $1/ redirect;
      rewrite ^(/pangu)$ $1/ redirect;
      rewrite ^(/ai-brain)$ $1/ redirect;
      rewrite ^(/armypeople)$ $1/ redirect;
      rewrite ^(/base)$ $1/ redirect;
      rewrite ^(/blockchain)$ $1/ redirect;
      rewrite ^(/classification)$ $1/ redirect;
      rewrite ^(/cmsportal)$ $1/ redirect;
      rewrite ^(/detection)$ $1/ redirect;
      rewrite ^(/dikongzhixingh5)$ $1/ redirect;
      rewrite ^(/dispatchh5)$ $1/ redirect;
      rewrite ^(/emergency)$ $1/ redirect;
      rewrite ^(/eventsh5)$ $1/ redirect;
      rewrite ^(/hljtt)$ $1/ redirect;
      rewrite ^(/hyper)$ $1/ redirect;
      rewrite ^(/jiangsuwenlv)$ $1/ redirect;
      rewrite ^(/logistics)$ $1/ redirect;
      rewrite ^(/media)$ $1/ redirect;
      rewrite ^(/mianyangbackend)$ $1/ redirect;
      rewrite ^(/multiterminal)$ $1/ redirect;
      rewrite ^(/mws)$ $1/ redirect;
      rewrite ^(/oms)$ $1/ redirect;
      rewrite ^(/open)$ $1/ redirect;
      rewrite ^(/pilot2cloud)$ $1/ redirect;
      rewrite ^(/qingdao)$ $1/ redirect;
      rewrite ^(/qinghaitourism)$ $1/ redirect;
      rewrite ^(/renyike)$ $1/ redirect;
      rewrite ^(/scanner)$ $1/ redirect;
      rewrite ^(/security)$ $1/ redirect;
      rewrite ^(/securityh5)$ $1/ redirect;
      rewrite ^(/seniclive)$ $1/ redirect;
      rewrite ^(/share)$ $1/ redirect;
      rewrite ^(/smauth)$ $1/ redirect;
      rewrite ^(/smsecret)$ $1/ redirect;
      rewrite ^(/splice)$ $1/ redirect;
      rewrite ^(/threedsimulation)$ $1/ redirect;
      rewrite ^(/traffic)$ $1/ redirect;
      rewrite ^(/uas)$ $1/ redirect;
      rewrite ^(/uasms)$ $1/ redirect;
      rewrite ^(/visualization)$ $1/ redirect;
      rewrite ^(/uavmsmanager)$ $1/ redirect;
      rewrite ^(/secenter)$ $1/ redirect;
spec:
  rules:
    - host: fake-domain.uavcloud-devoperation.io
      http:
        paths:
          - path: /devoperation/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform
              servicePort: 9528
          - path: /devoperation/supervision/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-suav-platform-supervision
              servicePort: 9528
          - path: /devoperation/supervisionh5/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-suav-platform-supervisionh5
              servicePort: 9528
          - path: /devoperation/pangu/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform
              servicePort: 9528
          - path: /devoperation/ai-brain/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-ai-brain
              servicePort: 9528
          - path: /devoperation/armypeople/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-armypeople
              servicePort: 9528
          - path: /devoperation/base/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-base
              servicePort: 9528
          - path: /devoperation/blockchain/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-blockchain
              servicePort: 9528
          - path: /devoperation/classification/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-classification
              servicePort: 9528
          - path: /devoperation/cmsportal/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-cms-portal
              servicePort: 9528
          - path: /devoperation/detection/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-detection
              servicePort: 9528
          - path: /devoperation/dikongzhixingh5/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-dikongzhixingh5
              servicePort: 9528
          - path: /devoperation/dispatchh5/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-dispatchh5
              servicePort: 9528
          - path: /devoperation/emergency/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-emergency-rescue
              servicePort: 9528
          - path: /devoperation/eventsh5/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-eventsh5
              servicePort: 9528
          - path: /devoperation/hljtt/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-hljtt
              servicePort: 9528
          - path: /devoperation/hyper/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-hyperspectral
              servicePort: 9528
          - path: /devoperation/jiangsuwenlv/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-jiangsuwenlv
              servicePort: 9528
          - path: /devoperation/logistics/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-logistics
              servicePort: 9528
          - path: /devoperation/media/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-media
              servicePort: 9528
          - path: /devoperation/mianyangbackend/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-mianyangbackend
              servicePort: 9528
          - path: /devoperation/multiterminal/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-multiterminal
              servicePort: 9528
          - path: /devoperation/mws/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-mws
              servicePort: 9528
          - path: /devoperation/oms/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-oms
              servicePort: 9528
          - path: /devoperation/open/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-open
              servicePort: 9528
          - path: /devoperation/pilot2cloud/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-pilot2-to-cloud
              servicePort: 9528
          - path: /devoperation/qingdao/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-qingdao
              servicePort: 9528
          - path: /devoperation/qinghaitourism/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-qinghaitourism
              servicePort: 9528
          - path: /devoperation/renyike/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-renyike
              servicePort: 9528
          - path: /devoperation/scanner/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-scanner
              servicePort: 9528
          - path: /devoperation/security/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-security
              servicePort: 9528
          - path: /devoperation/securityh5/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-securityh5
              servicePort: 9528
          - path: /devoperation/seniclive/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-seniclive
              servicePort: 9528
          - path: /devoperation/share/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-share
              servicePort: 9528
          - path: /devoperation/smauth/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-smauth
              servicePort: 9528
          - path: /devoperation/smsecret/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-smsecret
              servicePort: 9528
          - path: /devoperation/splice/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-splice
              servicePort: 9528
          - path: /devoperation/threedsimulation/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-threedsimulation
              servicePort: 9528
          - path: /devoperation/traffic/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-traffic
              servicePort: 9528
          - path: /devoperation/uas/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-uas
              servicePort: 9528
          - path: /devoperation/uasms/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-uasms
              servicePort: 9528
          - path: /devoperation/visualization/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-visualization
              servicePort: 9528
          - path: /devoperation/uavmsmanager/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uavms-platform-manager
              servicePort: 9528
          - path: /devoperation/secenter/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uavms-platform-security-center
              servicePort: 9528
---
apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: backend-applications-ingress
  namespace: uavcloud-devoperation
  labels:
    type: backend
    octopus.control: all-ingress-config-wdd
    app.kubernetes.io/managed-by: octopus-control
    app.kubernetes.io/version: 6.2.0
  annotations:
    kubernetes.io/ingress.class: "nginx"
    nginx.ingress.kubernetes.io/enable-cors: "true"
spec:
  rules:
    - host: cmii-admin-data.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-admin-data
              servicePort: 8080
    - host: cmii-admin-gateway.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-admin-gateway
              servicePort: 8080
    - host: cmii-admin-user.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-admin-user
              servicePort: 8080
    - host: cmii-app-release.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-app-release
              servicePort: 8080
    - host: cmii-open-gateway.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-open-gateway
              servicePort: 8080
    - host: cmii-sky-converge.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-sky-converge
              servicePort: 8080
    - host: cmii-suav-supervision.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-suav-supervision
              servicePort: 8080
    - host: cmii-uas-gateway.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uas-gateway
              servicePort: 8080
    - host: cmii-uas-lifecycle.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uas-lifecycle
              servicePort: 8080
    - host: cmii-uav-advanced5g.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-advanced5g
              servicePort: 8080
    - host: cmii-uav-airspace.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-airspace
              servicePort: 8080
    - host: cmii-uav-alarm.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-alarm
              servicePort: 8080
    - host: cmii-uav-autowaypoint.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-autowaypoint
              servicePort: 8080
    - host: cmii-uav-brain.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-brain
              servicePort: 8080
    - host: cmii-uav-bridge.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-bridge
              servicePort: 8080
    - host: cmii-uav-cloud-live.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-cloud-live
              servicePort: 8080
    - host: cmii-uav-clusters.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-clusters
              servicePort: 8080
    - host: cmii-uav-cms.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-cms
              servicePort: 8080
    - host: cmii-uav-data-post-process.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-data-post-process
              servicePort: 8080
    - host: cmii-uav-depotautoreturn.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-depotautoreturn
              servicePort: 8080
    - host: cmii-uav-developer.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-developer
              servicePort: 8080
    - host: cmii-uav-device.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-device
              servicePort: 8080
    - host: cmii-uav-emergency.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-emergency
              servicePort: 8080
    - host: cmii-uav-fwdd.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-fwdd
              servicePort: 8080
    - host: cmii-uav-gateway.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-gateway
              servicePort: 8080
    - host: cmii-uav-gis-server.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-gis-server
              servicePort: 8080
    - host: cmii-uav-grid-datasource.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-grid-datasource
              servicePort: 8080
    - host: cmii-uav-grid-engine.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-grid-engine
              servicePort: 8080
    - host: cmii-uav-grid-manage.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-grid-manage
              servicePort: 8080
    - host: cmii-uav-industrial-portfolio.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-industrial-portfolio
              servicePort: 8080
    - host: cmii-uav-integration.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-integration
              servicePort: 8080
    - host: cmii-uav-iot-dispatcher.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-iot-dispatcher
              servicePort: 8080
    - host: cmii-uav-kpi-monitor.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-kpi-monitor
              servicePort: 8080
    - host: cmii-uav-logger.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-logger
              servicePort: 8080
    - host: cmii-uav-material-warehouse.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-material-warehouse
              servicePort: 8080
    - host: cmii-uav-mission.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-mission
              servicePort: 8080
    - host: cmii-uav-mqtthandler.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-mqtthandler
              servicePort: 8080
    - host: cmii-uav-multilink.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-multilink
              servicePort: 8080
    - host: cmii-uav-notice.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-notice
              servicePort: 8080
    - host: cmii-uav-oauth.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-oauth
              servicePort: 8080
    - host: cmii-uav-process.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-process
              servicePort: 8080
    - host: cmii-uav-sense-adapter.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-sense-adapter
              servicePort: 8080
    - host: cmii-uav-surveillance.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-surveillance
              servicePort: 8080
    - host: cmii-uav-sync.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-sync
              servicePort: 8080
    - host: cmii-uav-threedsimulation.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-threedsimulation
              servicePort: 8080
    - host: cmii-uav-tower.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-tower
              servicePort: 8080
    - host: cmii-uav-user.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-user
              servicePort: 8080
    - host: cmii-uav-waypoint.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-waypoint
              servicePort: 8080
    - host: cmii-uavms-security-center.uavcloud-devoperation.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uavms-security-center
              servicePort: 8080
---
apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: all-gateways-ingress
  namespace: uavcloud-devoperation
  labels:
    type: api-gateway
    octopus.control: all-ingress-config-1.1.0
    app.kubernetes.io/managed-by: octopus-control
    app.kubernetes.io/version: 6.2.0
  annotations:
    kubernetes.io/ingress.class: "nginx"
    nginx.ingress.kubernetes.io/enable-cors: "true"
    nginx.ingress.kubernetes.io/rewrite-target: /$1
    nginx.ingress.kubernetes.io/configuration-snippet: |
      proxy_set_header Upgrade $http_upgrade;
      proxy_set_header Connection "Upgrade";
spec:
  rules:
    - host: fake-domain.uavcloud-devoperation.io
      http:
        paths:
          - path: /devoperation/oms/api/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-admin-gateway
              servicePort: 8080
          - path: /devoperation/open/api/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-open-gateway
              servicePort: 8080
          - path: /devoperation/api/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-gateway
              servicePort: 8080
